window.ImpactMixin = window.ImpactMixin || {};
window.ImpactMixin.config = {
    "global": {
        "bootScene": "start",
        "loader": {
            "backgroundColor": null,
            "theme": "dark"
        },
        "screenSize": {
            "x": 640,
            "y": 960
        },
        storageName : 'burgerking.hot-dog',
        "gameover" : function( session ) {

            ig.storage.session.add(ig.settings.tokens.api_runtime);

            ig.analytics.submitEvent(ig.ANALYTICS_EVENT.GAME_COMPLETE, session);

            if( ig.sessionStats.currentSession.score <= 0 && ig.sessionStats.currentSession.lifes <= 0 ) {
                // Wenn keine Punkte für Score dann keine FORM, CTA Button

                ig.actions.goToScene("end"); // cta button => leads to coupons

            } else if( ig.sessionStats.currentSession.score > 0 || ig.sessionStats.currentSession.lifes > 0) {
                // Wenn Ziellinie dann ScoreScreen und dann Form
                // Wenn Punkte, dann ScoreScreen und dann Form
                ig.actions.goToScene("endForm");
            } else {
                ig.game.endScene();
            }
        },
        "accelerometerControls": true
    },
    "scenes": {
        "start": {
            "sceneType": "BaseTemplateScene",
            "settings": {
                "elements": [
                    "x0Display",
                    "x1Display",
                    "x2Display",
                    "x3Display",
                    "x4Display",
                    "x5Display",
                    "x6Display"
                ],
                "clearColor": "#ffffff",
                "headerImage": "backgroundStart",
                "messageText": "",
                "messageFontSettings": {
                    "color": "#181818",
                    "font": "400 56px \"Varela Round\", sans-serif",
                    "wrapWidth": 570
                },
                "onSceneEnd": {
                    "action": "goToScene",
                    "args": "game"
                },
                "messageLocation": {
                    "bottom": "500",
                    "x": "center"
                },

                "mainButtonImage" : "mainButton",

                "mainButtonLocation": {
                    "bottom": "75",
                    "x": "center"
                },
                "mainButtonHighlight": "bubble",

                "initButtons" : function() {
                    if(!ig.ua.mobile) {
                        ig.game.spawnConfigEntity("desktopInfoDisplay");
                        // var entity = ig.game.namedEntities["xxxDisplay"];
                        // var a = ig.activity.repeatSequence([
                        //     ig.activity.pause(0.6),
                        //     ig.activity.runCallback(function(){
                        //         entity.pos.x += 2000;
                        //     }),
                        //     ig.activity.pause(0.4),
                        //     ig.activity.runCallback(function(){
                        //         entity.pos.x -= 2000;
                        //     })
                        // ]);
                        // ig.game.runActivity(entity, a, "entityEffect");
                    }
                    // just use this as entry point for scene loaded
                }
            }
        },
        "game": {
            "sceneType": "StackerGameScene",
            "settings": {
                "gameDuration": null,
                "targetScore": null,

                "collectableEntityKey": "items",
                "obstacleEntityKey": "obstacles",

                "obstacleRatio": 0.5,
                "spawnRestMin": 0.3,
                "spawnRestMax": 0.7,

                "elements": [
                    "footerDisplay",
                    "staticBackground"
                ],

                "displayScoreInHeader": false,

                "headerFontSettings": {
                    "color": "#ffffff",
                    "font": "400 75px \"Varela Round\", sans-serif"
                },

                "onSceneEnd": {
                    "action": "goToScene",
                    "args": "end"
                }
            }
        },
        "end": {
            "sceneType": "BaseTemplateScene",
            "settings": {
                "elements": [],
                "clearColor": "#000000",
                "headerImage": "highScoreImage",

                "displayScoreInHeader": true,

                "headerMessageText": "0",

                "headerFontSettings": {
                    "color": "#5a2c1c",
                    "font": "800 42px \"Varela Round\", sans-serif"
                },

                "headerMessageLocation" : {
                    "x" : "center",
                    "top" : 315
                },

                "messageText": "",

                "messageFontSettings": {
                    "color": "#181818",
                    "font": "400 56px \"Varela Round\", sans-serif",
                    "wrapWidth": 570
                },

                "ctaButtonImage": "ctaButton",
                "ctaButtonLocation" : {
                    "x" : "center",
                    "bottom" : 150
                },

                "shareButtonImage": "shareButton",
                "shareButtonLocation" : {
                    "right" : 25,
                    "bottom" : 25
                },

                "replayButtonImage": "replayButton",
                "replayButtonLocation" : {
                    "left" : 25,
                    "bottom" : 25
                },

                "onSceneEnd": {
                    "action": "navigateToUrlNewWindow",
                    "args": "https://burgerking.de"
                }
            }
        },
        "endForm": {
            "sceneType": "BaseTemplateScene",
            "settings": {
                "elements": [
                    "formButton"
                ],
                "clearColor": "#000000",
                "headerImage": "highScoreImage",

                "displayScoreInHeader": true,

                "headerMessageText": "0",

                "headerFontSettings": {
                    "color": "#5a2c1c",
                    "font": "800 42px \"Varela Round\", sans-serif"
                },

                "headerMessageLocation" : {
                    "x" : "center",
                    "top" : 315
                },

                "messageText": "",

                "messageFontSettings": {
                    "color": "#181818",
                    "font": "400 56px \"Varela Round\", sans-serif",
                    "wrapWidth": 570
                },

                "ctaButtonImage": "ctaButton80",
                "ctaButtonLocation" : {
                    "x" : "center",
                    "bottom" : 25
                },

                "shareButtonImage": "shareButton",
                "shareButtonLocation" : {
                    "right" : 25,
                    "bottom" : 25
                },

                "replayButtonImage": "replayButton",
                "replayButtonLocation" : {
                    "left" : 25,
                    "bottom" : 25
                },

                "onSceneEnd": {
                    "action": "navigateToUrlNewWindow",
                    "args": "https://burgerking.de"
                }
            }
        }
    },
    "entities": {
        "formButton" : {
            "type" : "EntityButton",
            "image" : "toFormImage",
            "location" : {
                "right" : "0",
                "bottom" : 200
            },
            "settings" : {
                "zIndex" : 100,

                "onPress" : {
                    "action": "navigateToUrl",
                    "args": "https://burgerking.gamewheel.com/form/hot-dog/",
                    "analyticsEvent": "pressedForm"
                }
            }
        },
        "gameOverDisplay": {
            "type": "EntityImageDisplay",
            "image": "gameOverDisplay",
            "location": {
                "right": 0,
                "top": "center"
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 100
            }
        },
        "x0Display": {
            "type": "EntityImageDisplay",
            "image": "xxxAnimation",
            "animated": {
                "frameSize": {
                    "x": 56,
                    "y": 56
                },
                "animations": {
                    "idle": { "frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.14, "loop": true }
                }
            },
            "location": {
                "left": 97,
                "bottom": 180
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 200
            }
        },
        "x1Display": {
            "type": "EntityImageDisplay",
            "image": "xxxAnimation",
            "animated": {
                "frameSize": {
                    "x": 56,
                    "y": 56
                },
                "animations": {
                    "idle": { "frames": [ 10, 11, 12, 13, 14, 15, 16, 17, 18, 19 ], "frameTime": 0.14, "loop": true }
                }
            },
            "location": {
                "left": 150,
                "bottom": 180
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 200
            }
        },
        "x2Display": {
            "type": "EntityImageDisplay",
            "image": "xxxAnimation",
            "animated": {
                "frameSize": {
                    "x": 56,
                    "y": 56
                },
                "animations": {
                    "idle": { "frames": [ 20, 21, 22, 23, 24, 25, 26, 27, 28, 29 ], "frameTime": 0.14, "loop": true }
                }
            },
            "location": {
                "left": 208,
                "bottom": 180
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 200
            }
        },
        "x3Display": {
            "type": "EntityImageDisplay",
            "image": "xxxAnimation",
            "animated": {
                "frameSize": {
                    "x": 56,
                    "y": 56
                },
                "animations": {
                    "idle": { "frames": [ 20, 21, 22, 23, 24, 25, 26, 27, 28, 29 ], "frameTime": 0.14, "loop": true }
                }
            },
            "location": {
                "left": 264,
                "bottom": 180
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 200
            }
        },
        "x4Display": {
            "type": "EntityImageDisplay",
            "image": "xxxAnimation",
            "animated": {
                "frameSize": {
                    "x": 56,
                    "y": 56
                },
                "animations": {
                    "idle": { "frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.14, "loop": true }
                }
            },
            "location": {
                "left": 331,
                "bottom": 180
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 200
            }
        },
        "x5Display": {
            "type": "EntityImageDisplay",
            "image": "xxxAnimation",
            "animated": {
                "frameSize": {
                    "x": 56,
                    "y": 56
                },
                "animations": {
                    "idle": { "frames": [ 10, 11, 12, 13, 14, 15, 16, 17, 18, 19 ], "frameTime": 0.14, "loop": true }
                }
            },
            "location": {
                "left": 391,
                "bottom": 180
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 200
            }
        },
        "x6Display": {
            "type": "EntityImageDisplay",
            "image": "xxxAnimation",
            "animated": {
                "frameSize": {
                    "x": 56,
                    "y": 56
                },
                "animations": {
                    "idle": { "frames": [ 20, 21, 22, 23, 24, 25, 26, 27, 28, 29 ], "frameTime": 0.14, "loop": true }
                }
            },
            "location": {
                "left": 471,
                "bottom": 180
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 200
            }
        },

        "arrowEntity": {
            "type": "EntityImageDisplay",
            "image": "arrowAnimation",
            "animated": {
                "frameSize": {
                    "x": 128,
                    "y": 128
                },
                "animations": {
                    "idle": { "frames": [ 9, 8, 7, 6, 5, 4, 3, 2, 1, 0 ], "frameTime": 0.1, "loop": true }
                }
            },
            "settings" : {
                "unrestrictedCollect": true,
                "isBackground" : true,
                "points": 1,
                "maxVel": {
                    "x": 1000,
                    "y": 100
                }
            }
        },

        "desktopInfoDisplay": {
            "type": "EntityImageDisplay",
            "image": "desktopInfo",
            "location": {
                "left": 0,
                "top": 0
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 100
            }
        },
        "footerDisplay": {
            "type": "EntityImageDisplay",
            "image": "footerGame",
            "location": {
                "x": 0,
                "top": 840
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 100
            }
        },
        "staticBackground": {
            "type": "EntityImageDisplay",
            "image": "static_grill",
            "location": {
                "x": 0,
                "top": 0
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : -1
            },
            "animated": {
                "frameSize": {
                    "x": 640,
                    "y": 960
                },
                "animations": {
                    "idle": {"frames": [ 0 ], "frameTime": 0.1, "loop": false },
                    "on": {"frames": [ 1, 2, 3, 4, 5, 6 ], "frameTime": 0.1, "loop": true }
                }
            }
        },
        "life": {
            "type": "EntityImageDisplay",
            "image": "lifeImage",
            "location": {
                "left": 0,
                "bottom": 25
            },
            "settings" : {
                "gravityFactor" : 0,
                "zIndex" : 100
            }
        },
        "gameProgressTimer" : {
            "type": "EntityProgressTimer",
            "location": {
                "right": 60,
                "top": 885
            },
            "settings": {
                "name": "gameProgressTimer",
                "gravityFactor": 0,
                "align" : "center",
                "_font" : "30px \"Varela Round\", sans-serif",
                "wrapWidth" : "640",
                "color" : "#ffffff",
                "zIndex" : 101
            }
        },
        "pointDisplay" : {
            "type": "EntityRealText",
            "location": {
                "x": "center",
                "top": 885
            },
            "settings": {
                "name": "pointDisplay",
                "gravityFactor": 0,
                "align" : "center",
                "_font" : "30px \"Varela Round\", sans-serif",
                "wrapWidth" : "640",
                "color" : "#ffffff",
                "zIndex" : 101
            }
        },
        "gameProgress": {
            "type": "EntityProgressBar",
            "location": {
                "right": 0,
                "top": 880
            },
            "settings": {
                "name": "gameProgress",
                "gravityFactor": 0,
                "size": {
                    "x": 640,
                    "y": 26
                },

                "percentage": 0,
                "completedColor": "#ffffff",
                "uncompletedColor": "#fc5927",
                "borderColor": null,
                "borderWidth": 0
            }
        },
        "pointMarker": {
            "type": "EntityPointMarker",
            "settings": {
                "color": "#FFFFFF",
                "negativeColor": "#d73d3d",
                "font": "bold 40px \"Varela Round\", sans-serif",
                "align": "center",
                "centerOnPosY": true,
                "movement": {
                    "x": 0,
                    "y": -50
                },
                "duration": 1.5,
                "zIndex" : 101
            }
        },
        "player": {
            "type": "EntityCatcher",
            "location": {
                "x": "middle",
                "bottom": 140
            },
            "image": "wurstAnimation",
            "animated": {
                "frameSize": {
                    "x": 128,
                    "y": 198 / 6
                },
                "animations": {
                    "idle": {"frames": [ 5, 4, 3, 2, 1, 0 ], "frameTime": 0.1, "loop": true}
                }
            },
            "settings": {
                "name": "player",
                "pointMarker": "pointMarker",
                "size" : {
                    "x" : 120,
                    "y" : 160/6
                }
            }
        },
        "items": [{
            "type": "EntityCollectable",
            "image": "item1",
            "animated": {
                "frameSize": {
                    "x": 128,
                    "y": 128
                },
                "animations": {
                    "idle": {"frames": [ 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 ], "frameTime": 0.1, "loop": true},
                    "kill": {"frames": [ 0 ], "frameTime": 0.1, "loop": false}
                }
            },
            "settings": {
                "unrestrictedCollect": true,
                "points": 1,
                "maxVel": {
                    "x": 1000,
                    "y": 100
                },
                "spawnOnCollect": "stars"
            }
        },
        {
            "type": "EntityCollectable",
            "image": "item2",
            "animated": {
                "frameSize": {
                    "x": 128,
                    "y": 128
                },
                "animations": {
                    "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.1, "loop": true},
                    "kill": {"frames": [ 10 ], "frameTime": 0.1, "loop": false}
                }
            },
            "settings": {
                "unrestrictedCollect": true,
                "points": 1,
                "maxVel": {
                    "x": 1000,
                    "y": 100
                },
                "spawnOnCollect": "stars"
            }
        }
        ],
        "obstacles": [
            {
                "type": "EntityCollectable",
                "image": "bleistift_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 10, 11 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            },
            {
                "type": "EntityCollectable",
                "image": "blumentopf_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 0, 1 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            },
            {
                "type": "EntityCollectable",
                "image": "kerze_3er_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 8, 9 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            },
            {
                "type": "EntityCollectable",
                "image": "kerze_solo_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 8, 9 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            },
            {
                "type": "EntityCollectable",
                "image": "kochtopf_solo_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 10, 11 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            },
            {
                "type": "EntityCollectable",
                "image": "einkaufswagen_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 10, 11 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            },
            {
                "type": "EntityCollectable",
                "image": "inbus_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 10, 11 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            },
            {
                "type": "EntityCollectable",
                "image": "tuete_obs",
                "animated": {
                    "frameSize": {
                        "x": 128,
                        "y": 128
                    },
                    "animations": {
                        "idle": {"frames": [ 0, 1, 2, 3, 4, 5, 6, 7, 8, 9 ], "frameTime": 0.1, "loop": true},
                        "kill": {"frames": [ 10, 11 ], "frameTime": 0.2, "loop": false}
                    }
                },
                "settings": {
                    "isObstacle" : true,
                    "unrestrictedCollect": true,
                    "points": -1,
                    "maxVel": {
                        "x": 1000,
                        "y": 100
                    },
                    "spawnOnCollect": "puff",
                    "zIndex" : 1
                }
            }
        ],
        "puff": {
            "type": "EntitySelfDestroying",
            "image": "puff",
            "animated": {
                "frameSize": {
                    "x": 65,
                    "y": 69
                },
                "animations": {
                    "idle": {
                        "frameTime": 0.05,
                        "frames": [
                            0,
                            1,
                            2,
                            3,
                            4,
                            5,
                            6,
                            7
                        ],
                        "loop": false
                    }
                }
            },
            "settings": {
                "lifetime": 1,
                "gravityFactor": 0
            }
        },
        "stars": {
            "type": "EntitySelfDestroying",
            "image": "stars",
            "animated": {
                "frameSize": {
                    "x": 112,
                    "y": 95
                },
                "animations": {
                    "idle": {
                        "frameTime": 0.1,
                        "frames": [
                            0,
                            1,
                            2,
                            3
                        ],
                        "loop": false
                    }
                }
            },
            "settings": {
                "lifetime": 0.4,
                "gravityFactor": 0
            }
        }
    },
    "assets": {
        "images": {
            "item1": "coin_drehung.png",
            "item2": "coin_glossy.png",
            "puff": "fn_Explode.png",
            "stars": "fn_Stars.png",
            "footerGame": "GW_Footer.png",
            "wurstAnimation" : "wurstAnimation.png",
            "bleistift_obs" : "bleistift.png",
            "blumentopf_obs" : "blumentopf.png",
            "kerze_3er_obs" : "kerze_3er.png",
            "kerze_solo_obs" : "kerze_solo.png",
            "kochtopf_solo_obs" : "kochtopf.png",
            "einkaufswagen_obs" : "einkaufswagen.png",
            "tuete_obs" : "tuete.png",
            "inbus_obs" : "inbus.png",
            "backgroundStart" : "backgroundStart.png",
            "lifeImage" : "bk_Life.png",
            "mainButton" : "button_start.png",
            "shareButton" : "fb_ButtonShare.png",
            "replayButton" : "button_replay.png",
            "ctaButton" : "cta_button.png",
            "ctaButton80" : "cta_button_80.png",
            "gameOverImage" : "bg_endscreen.png",
            "grill_finish" : "finish_line.png",
            "grill_end" : "grill_end.png",
            "grill_off" : "rost_kachel.png",
            "grill_on" : "grill_on.png",
            "static_grill" : "static_background_anim.png",
            "gameOverDisplay" : "game_over.png",
            "highScoreImage" : "Endscreen_Punkte.png",
            "toFormImage" : "Highscore_Eintragen_Button.png",
            "desktopInfo" : "Info_Desktop.png",
            "xxxAnimation" : "xxx_animated.png",
            "arrowAnimation" : "pfeil_schweben.png"
        },
        "fonts": {},
        "sounds": {},
        "googleWebFonts": {
            "families": [
                "Varela+Round::latin"
            ]
        },
        "files": {
            "debugcss" : {
                "type" : "css",
                "location" : "debug.css"
            }
        }
    }
};